local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local sprite_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "SpriteComponent")
local anim = ComponentGetValue2(sprite_comp, "rect_animation")
local total_amount_to_spawn = 30

if anim == "closed" then
  GlobalsSetValue("lemmings_refresh_max_uses", "1")
  ComponentSetValue2(sprite_comp, "rect_animation", "opening")
  EntityRefreshSprite(entity_id, sprite_comp)
  GamePlaySound("mods/lemmings/audio/lemmings.bank", "DOOR", x, y)
else
  local amount_spawned = GetValueInteger("amount_spawned", 0)
  if amount_spawned < total_amount_to_spawn then
    EntityLoad("mods/lemmings/files/lemming.xml", x - 1, y + 8)
    SetValueInteger("amount_spawned", amount_spawned + 1)
  end
end
