local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local mx, my = DEBUG_GetMouseWorld()
local sprite_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "SpriteComponent")
local dx, dy = x - mx, y - my

gui = gui or GuiCreate()
GuiStartFrame(gui)

if math.abs(dx) < (100 - 11) and math.abs(dy) < (50 - 2) then
  local controls_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "ControlsComponent")
  local mxRaw, myRaw = ComponentGetValue2(controls_comp, "mMousePositionRaw")
  local screen_width, screen_height = GuiGetScreenDimensions(gui)
  local scx, scy = screen_width / 1280 * 2, screen_height / 720 * 2
  local sx, sy = (mxRaw / 1280) * screen_width, (myRaw / 720) * screen_height
  GuiImage(gui, 3, sx, sy - 5, "mods/lemmings/files/hatch_opening_sprite.xml", 0.5, 1.5 * scx, 1.5 * scy, 0, 1, "closed")
  local clicked, right_clicked, hovered, x, y, width, height, draw_x, draw_y, draw_width, draw_height = GuiGetPreviousWidgetInfo(gui)
  if clicked then
    EntityLoad("mods/lemmings/files/hatch.xml", mx, my - 4)
    GamePlaySound("mods/lemmings/audio/lemmings.bank", "LETSGO", mx, my - 4)
    EntityKill(entity_id)
  end
end
