local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local exit_door = EntityGetInRadiusWithTag(x, y, 50, "cube_fx")[1]
if not exit_door then
  return
end

local var_store = EntityGetFirstComponentIncludingDisabled(exit_door, "VariableStorageComponent")
local num_lemmings_entered = ComponentGetValue2(var_store, "value_int")

if num_lemmings_entered > 0 then
  EntitySetComponentsWithTagEnabled(entity_id, "enabled_by_liquid", true)
end
