dofile("data/scripts/lib/mod_settings.lua")

local mod_id = "lemmings"
mod_settings_version = 1
mod_settings = {
  {
    id = "sandbox_mode",
    ui_name = "Sandbox mode",
    ui_description = "Gives you a lemming spawner wand on game start and removes need to bring them to the exit.",
    value_default = false,
    scope = MOD_SETTING_SCOPE_NEW_GAME,
  },
}

function ModSettingsUpdate(init_scope)
    local old_version = mod_settings_get_version(mod_id)
    mod_settings_update(mod_id, mod_settings, init_scope)
end

function ModSettingsGuiCount()
    return mod_settings_gui_count(mod_id, mod_settings)
end

function ModSettingsGui(gui, in_main_menu)
    mod_settings_gui(mod_id, mod_settings, gui, in_main_menu)
end
